Mono.Addins 0.4.0.0 1.0.0.0 System.Object Provides access to add-in management operations. To be added.
- Method
  System.Void `` `` Path of the node. A handler method. Register a listener of extension node changes. Hosts can call this method to be subscribed to an extension change event for a specific path. The event will be fired once for every individual node change. The event arguments include the change type (Add or Remove) and the extension node added or removed.

  The handler will be called for all nodes existing in the path at the moment of registration.

  0.4.0.0
- Event
  Mono.Addins.AddinEventHandler Add-in loaded event. Fired after loading an add-in in memory. 0.4.0.0
- Event
  Mono.Addins.AddinErrorEventHandler Add-in loading error event. This event is fired when there is an error when loading the extension of an add-in, or any other kind of error that may happen when querying extension points. 0.4.0.0
- Event
  Mono.Addins.AddinEventHandler Add-in unload event. Fired when an add-in is unloaded from memory. It may happen an add-in is disabled or uninstalled. 0.4.0.0
- Method
  0.4.0.0
  System.Void `` `System.ParamArray` To be added. To be added. To be added. To be added.
- Method
  Mono.Addins.ExtensionContext Creates a new extension context. The new extension context. Extension contexts can be used to query the extension tree using particular condition values. See for a complete example. 0.4.0.0
- Property
  0.4.0.0
  Mono.Addins.RuntimeAddin To be added. To be added. To be added.
- Property
  0.4.0.0
  Mono.Addins.AddinLocalizer To be added. To be added. To be added.
- Property
  0.4.0.0
  Mono.Addins.IAddinInstaller To be added. To be added. To be added.
- Property
  0.4.0.0
  Mono.Addins.AddinLocalizer To be added. To be added. To be added.
- Event
  Mono.Addins.ExtensionEventHandler Extension change event. This event is fired when any extension point in the add-in system changes. The event args object provides the path of the changed extension, although it does not provide information about what changed. Hosts subscribing to this event should get the new list of nodes using a query method such as AddinManager.GetExtensionNodes() and then update whatever needs to be updated. 0.4.0.0
- Method
  Mono.Addins.ExtensionNode `` Location of the node. Returns the extension node in a path The node, or null if not found.

  This method returns the extension node located at the provided path. For example, given the following extension point:

  `<Extension path="/MonoDevelop/Workbench/MainMenu"> <ItemSet id="File" _label="_File"> <CommandItem id="NewFile" /> <CommandItem id="NewProject" /> </ItemSet> </Extension>`

  The following calls are valid:

  `// The following call returns the root element of the extension point ExtensionNode node = AddinManager.GetExtensionNode ("/MonoDevelop/Workbench/MainMenu"); // The following call returns an specific node of the extension point ExtensionNode node = AddinManager.GetExtensionNode ("/MonoDevelop/Workbench/MainMenu/File"); // The following call returns a child of a node of the extension point ExtensionNode node = AddinManager.GetExtensionNode ("/MonoDevelop/Workbench/MainMenu/File/NewProject");` 0.4.0.0
- Method
  Mono.Addins.ExtensionNodeList `` An extension path. Gets extension nodes registered in a path. All nodes registered in the provided path.

  This method returns all nodes registered under the provided path. For example, given the following extension point:

  `<Extension path="/MonoDevelop/Workbench/MainMenu"> <ItemSet id="File" _label="_File"> <CommandItem id="NewFile" /> <CommandItem id="NewProject" /> </ItemSet> <ItemSet id="Edit" _label="_Edit"/> <ItemSet id="View" _label="_View"/> </Extension>`

  The following calls are valid:

  `// The following call prints 'File', 'Edit' and 'View' ExtensionNodeList nodes = AddinManager.GetExtensionNodes ("/MonoDevelop/Workbench/MainMenu"); foreach (ExtensionNode node in nodes) Console.WriteLine (node.Id); // The following call prints 'NewFile' and 'NewProject' nodes = AddinManager.GetExtensionNodes ("/MonoDevelop/Workbench/MainMenu/File"); foreach (ExtensionNode node in nodes) Console.WriteLine (node.Id);` 0.4.0.0
- Method
  Mono.Addins.ExtensionNodeList `` `` An extension path. Expected node type. Gets extension nodes registered in a path. All nodes registered in the provided path. This method returns all nodes registered under the provided path. It will throw a if the type of one of the registered nodes is not assignable to the provided type. 0.4.0.0
- Method
  System.Object[] `` An extension path. Gets extension objects registered in a path. An array of objects registered in the path. This method can only be used if all nodes in the provided extension path are of type . The returned objects are created by calling . 0.4.0.0
- Method
  System.Object[] `` Type for which to query extension objects. Gets extension objects registered in an extension point. An array of objects registered in the extension point.

  This method can be used to query the extension point of a type which does not have a path. For example:

  `[TypeExtensionPoint] public interface ICommand { void Run (); }`

  The previous interface declares an extension point which will accept types that implement ICommand interface. Since the extension path is not provided in this declaration, the host has to use the GetExtensionObject method to get the registered object. For example:

  `foreach (ICommand cmd in AddinManager.GetExtensionObjects (typeof(ICommand))) cmd.Run ();`

  The returned array is composed by all objects created by calling the method for each node.

  0.4.0.0
- Method
  System.Object[] `` `` An extension path. True if the method can reuse instances created in previous calls. Gets extension objects registered in a path. An array of objects registered in the path. This method can only be used if all nodes in the provided extension path are of type . The returned array is composed by all objects created by calling the method for each node (or if reuseCachedInstance is set to true). 0.4.0.0
- Method
  System.Object[] `` `` An extension path. Type of the return array elements. Gets extension objects registered in a path. An array of objects registered in the path. This method can only be used if all nodes in the provided extension path are of type . The returned objects are created by calling .

  A exception is thrown if one of the found objects is not a subclass of the provided type.

  0.4.0.0
- Method
  System.Object[] `` `` Type for which to query extension objects. True if the method can reuse instances created in previous calls. Gets extension objects registered in a path. An array of objects registered in the extension point.

  This method can be used to query the extension point of a type which does not have a path. For example:

  `[TypeExtensionPoint] public interface ICommand { void Run (); }`

  The previous interface declares an extension point which will accept types that implement ICommand interface. Since the extension path is not provided in this declaration, the host has to use the GetExtensionObject method to get the registered object. For example:

  `foreach (ICommand cmd in AddinManager.GetExtensionObjects (typeof(ICommand))) cmd.Run ();`

  The returned array is composed by all objects created by calling the method for each node (or if reuseCachedInstance is set to true).

  0.4.0.0
- Method
  System.Object[] `` `` `` An extension path. Type of the return array elements. True if the method can reuse instances created in previous calls. Gets extension objects registered in a path. An array of objects registered in the path. This method can only be used if all nodes in the provided extension path are of type . The returned array is composed by all objects created by calling the method for each node (or if reuseCachedInstance is set to true).

  A exception is thrown if one of the found objects is not a subclass of the provided type.

  0.4.0.0
- Method
  System.Void Initializes the add-in engine. The add-in engine needs to be initialized before doing any add-in operation. When initialized with this method, it will look for add-in in the global add-in registry. 0.4.0.0
- Method
  System.Void `` Location of the add-in registry. Initializes the add-in engine. The add-in engine needs to be initialized before doing any add-in operation. When initialized with this method, it will look for add-in in the add-in registry located in the specified path. 0.4.0.0
- Method
  0.4.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Boolean `` Full identifier of the add-in. Checks if an add-in has been loaded. 'true' if the add-in is loaded. Checks if the specified add-in has been loaded in memory. 0.4.0.0
- Property
  System.Boolean Gets whether the add-in engine has been initialized. 'true' if the add-in engine has been initialized. 0.4.0.0
- Method
  System.Void `` `` Status monitor to keep track of the loading process. Full identifier of the add-in to load. Loads an add-in. Loads all assemblies that belong to an add-in in memory. All add-ins on which the specified add-in depends will also be loaded. Notice that in general add-ins don't need to be explicitely loaded using this method, since the add-in engine will load them on demand. 0.4.0.0
- Property
  Mono.Addins.AddinRegistry Returns the add-in registry being currently used by the add-in engine. An add-in registry. Returns the add-in registry being currently used by the add-in engine. 0.4.0.0
- Method
  System.Void `` `` Path of the node. A handler method. Unregister a listener of extension node changes. This method unregisters a delegate from the node change event of a path. 0.4.0.0
- Method
  System.Void Finalizes an add-in engine session. Finalizes the add-in engine. 0.4.0.0